From 948aa0ff1f7c698bf0735afd3b38c2c29e5605b8 Mon Sep 17 00:00:00 2001
From: Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
Date: Fri, 22 Jun 2012 18:02:09 +0100
Subject: [PATCH] Remove kernel & mount.nfs version checks on Debian/Ubuntu.

Forwarded: no
Bug-Debian: http://bugs.debian.org/678555
Bug-Ubuntu: http://pad.lv/1016673
---
 daemon/automount.c   |    7 -------
 include/mounts.h     |    2 --
 modules/replicated.c |    5 ++---
 3 files changed, 2 insertions(+), 12 deletions(-)

diff --git a/daemon/automount.c b/daemon/automount.c
index 7dea73b..591ad04 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -51,9 +51,6 @@ const char *libdir = AUTOFS_LIB_DIR;	/* Location of library modules */
 const char *mapdir = AUTOFS_MAP_DIR;	/* Location of mount maps */
 const char *confdir = AUTOFS_CONF_DIR;	/* Location of autofs config file */
 
-unsigned int nfs_mount_uses_string_options = 0;
-static struct nfs_mount_vers vers, check = {1, 1, 1};
-
 /* autofs fifo name prefix */
 const char *fifodir = AUTOFS_FIFO_DIR "/autofs.fifo";
 
@@ -1281,8 +1278,6 @@ static int do_hup_signal(struct master *master, time_t age)
 	if (status)
 		fatal(status);
 
-	nfs_mount_uses_string_options = check_nfs_mount_version(&vers, &check);
-
 	master_mutex_lock();
 	if (master->reading) {
 		status = pthread_mutex_unlock(&mrc.mutex);
@@ -1946,8 +1941,6 @@ int main(int argc, char *argv[])
 
 	defaults_read_config(0);
 
-	nfs_mount_uses_string_options = check_nfs_mount_version(&vers, &check);
-
 	kpkt_len = get_kpkt_len();
 	timeout = defaults_get_timeout();
 	ghost = defaults_get_browse_mode();
diff --git a/include/mounts.h b/include/mounts.h
index 1efce64..ba75973 100644
--- a/include/mounts.h
+++ b/include/mounts.h
@@ -82,8 +82,6 @@ struct nfs_mount_vers {
 	unsigned int fix;
 };
 unsigned int linux_version_code(void);
-int check_nfs_mount_version(struct nfs_mount_vers *, struct nfs_mount_vers *);
-extern unsigned int nfs_mount_uses_string_options;
 
 unsigned int query_kproto_ver(void);
 unsigned int get_kver_major(void);
diff --git a/modules/replicated.c b/modules/replicated.c
index 10e1429..049fabd 100644
--- a/modules/replicated.c
+++ b/modules/replicated.c
@@ -964,9 +964,8 @@ int prune_host_list(unsigned logopt, struct host **list,
 	 * But also allow the MOUNT_WAIT configuration parameter to override
 	 * the probing.
 	 */
-	if (nfs_mount_uses_string_options &&
-	    defaults_get_mount_wait() == -1 &&
-	   (kern_vers = linux_version_code()) > KERNEL_VERSION(2, 6, 22)) {
+
+	if (defaults_get_mount_wait() == -1) {
 		if (!this)
 			return 1;
 	} else {
-- 
1.7.10.4

